Execute a swap quote

[Available in Production/Sandbox environment] Execute a requested swap quote.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

When the status of the swap transaction is updated, a callback will be sent to the URL you configured in your business dashboard. Learn more about how to configure your callback

Sample Callback Payload for Swap Transaction
{
  "data": {
    "attributes": {
      "createdAt": "2024-04-03T13:56:05.219+08:00",
      "customerProfileId": "",
      "fees": [
        {
          "type": "TransactionFee",
          "amount": 13.3,
          "currency": "XSGD"
        }
      ],
      "fixedSide": "target",
      "idempotencyId": "sang_test3",
      "quoteId": "8185705a-857d-4e0c-a0e0-8453b3cf4929",
      "rate": 0.7516,
      "sourceCurrency": "XSGD",
      "sourceCurrencyAmount": 13304.95,
      "status": "completed",
      "swapPair": "XSGDUSDC",
      "targetCurrency": "USDC",
      "targetCurrencyAmount": 10000.0,
      "totalSourceCurrencyAmount": 13318.25,
      "updatedAt": "2024-04-03T18:25:51.936+08:00"
    },
    "id": "contract_ff8c902f245f4124b1f28bed306f9b8b",
    "type": "swapTransaction"
  }
}
Body Params
data
object
Headers
string
required

You can retrieve this from your Dashboard Developer Tools.

Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.

string

The Key ID, can be retrieved from your StraitsX Dashboard.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Current Unix epoch time in seconds. Must be within ±300 seconds of server time.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

A unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.
Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/i

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Base64-encoded digital signature of the canonical request string.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json